---
title: class
slug: Web/HTML/Global_attributes/class
tags:
  - Global attributes
  - HTML
  - Reference
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p><span class="seoSummary">The <code><strong>class</strong></code> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> is a space-separated list of the case-sensitive classes of the element. Classes allow CSS and Javascript to select and access specific elements via the <a href="/en-US/docs/Web/CSS/Class_selectors">class selectors</a> or functions like the DOM method {{domxref("document.getElementsByClassName")}}.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/attribute-class.html","tabbed-standard")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<p>Though the specification doesn't put requirements on the name of classes, web developers are encouraged to use names that describe the semantic purpose of the element, rather than the presentation of the element. For example, <em>attribute</em> to describe an attribute rather than <em>italics</em>, although an element of this class may be presented by <em>italics</em>. Semantic names remain logical even if the presentation of the page changes.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('HTML WHATWG', "elements.html#classes", "class")}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td>No change from latest snapshot, {{SpecName('HTML5.1')}}</td>
		</tr>
		<tr>
			<td>{{SpecName('HTML5.1', "elements.html#classes", "class")}}</td>
			<td>{{Spec2('HTML5.1')}}</td>
			<td>Snapshot of {{SpecName('HTML WHATWG')}}, no change from {{SpecName('HTML5 W3C')}}</td>
		</tr>
		<tr>
			<td>{{SpecName('HTML5 W3C', "elements.html#classes", "class")}}</td>
			<td>{{Spec2('HTML5 W3C')}}</td>
			<td>Snapshot of {{SpecName('HTML WHATWG')}}. From {{SpecName('HTML4.01')}}, <code>class</code> is now a true global attribute.</td>
		</tr>
		<tr>
			<td>{{SpecName('HTML4.01', "struct/global.html#h-7.5.2", "class")}}</td>
			<td>{{Spec2('HTML4.01')}}</td>
			<td>Supported on all elements but {{HTMLElement("base")}}, {{HTMLElement("basefont")}}, {{HTMLElement("head")}}, {{HTMLElement("html")}}, {{HTMLElement("meta")}}, {{HTMLElement("param")}}, {{HTMLElement("script")}}, {{HTMLElement("style")}}, and {{HTMLElement("title")}}.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.class")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</li>
	<li>{{domxref('element.className')}}</li>
	<li>{{domxref('element.classList')}}</li>
	<li><a href="/en-US/docs/Learn/CSS/">Introduction to CSS</a></li>
</ul>
